List virtual accounts for a wallet
curl --request GET \
--url https://api.anchorage-staging.com/v2/wallets/{walletId}/virtual-accounts \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/wallets/{walletId}/virtual-accounts"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/wallets/{walletId}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"customerId": "cust_9f8e7d6c",
"id": "va_1a2b3c4d",
"walletId": "1c920f4241b78a1d483a29f3c24b6c4c",
"closedAt": "2019-01-03T12:34:56.000Z",
"depositInstruction": {
"bankAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"bankName": "Example Bank",
"bankRoutingNumber": "123456789",
"bankSwiftCode": "12345678",
"beneficiaryAccountNumber": "12345678",
"beneficiaryAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"beneficiaryName": "John Doe",
"intermediaryAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"intermediaryName": "Intermediary Bank",
"intermediarySwiftCode": "87654321",
"memoField": "4827193650"
}
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List virtual accounts for a wallet
Permissions required: Virtual accounts or Read vault activity
List the virtual accounts open on a wallet. Closed virtual accounts are excluded. No signature is required for this read.
GET
/
wallets
/
{walletId}
/
virtual-accounts
List virtual accounts for a wallet
curl --request GET \
--url https://api.anchorage-staging.com/v2/wallets/{walletId}/virtual-accounts \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/wallets/{walletId}/virtual-accounts"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/wallets/{walletId}/virtual-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"customerId": "cust_9f8e7d6c",
"id": "va_1a2b3c4d",
"walletId": "1c920f4241b78a1d483a29f3c24b6c4c",
"closedAt": "2019-01-03T12:34:56.000Z",
"depositInstruction": {
"bankAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"bankName": "Example Bank",
"bankRoutingNumber": "123456789",
"bankSwiftCode": "12345678",
"beneficiaryAccountNumber": "12345678",
"beneficiaryAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"beneficiaryName": "John Doe",
"intermediaryAddress": {
"address1": "123 Main Street",
"city": "Anytown",
"country": "USA",
"province": "CA",
"zipCode": "12345",
"address2": "Suite 400"
},
"intermediaryName": "Intermediary Bank",
"intermediarySwiftCode": "87654321",
"memoField": "4827193650"
}
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
An ID uniquely identifying an Anchorage Digital wallet
Query Parameters
Restrict results to virtual accounts for this program customer
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?